#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Re-distribution in any form is strictly
//  prohibited. Any infringement will be prosecuted under applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace Syncfusion.Windows.Forms.Chart.Samples
{
	/// <summary>
	/// The ChartControl sample form.
	/// </summary>
	public class FormMain : Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
	
		public FormMain()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
             InitializeControlSettings();

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormMain));
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			// 
			// chartControl1.ChartArea
			// 
			this.chartControl1.ChartArea.ChartAreaMargins.Right = 30;
			this.chartControl1.Controls.Add(this.chartControl1.Legend);
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(620, 49);
			this.chartControl1.Legend.Name = "";
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartDock.Floating;
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.DrawGrid = false;
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.LabelRotateAngle = 45;
			this.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl1.PrimaryXAxis.Range = new Syncfusion.Windows.Forms.Chart.MinMaxInfo(0, 3, 1);
			this.chartControl1.PrimaryXAxis.RangeType = Syncfusion.Windows.Forms.Chart.ChartAxisRangeType.Set;
			this.chartControl1.PrimaryXAxis.SmartDateZoomMonthLevelLabelFormat = "m";
			this.chartControl1.PrimaryXAxis.Title = "Control";
			this.chartControl1.PrimaryYAxis.DrawGrid = false;
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryYAxis.SmartDateZoomMonthLevelLabelFormat = "m";
			this.chartControl1.Size = new System.Drawing.Size(728, 446);
			this.chartControl1.TabIndex = 1;
			this.chartControl1.Text = "Binding Analysis";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.ZoomOutIncrement = 1.5;
			// 
			// FormMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(712, 446);
			this.Controls.Add(this.chartControl1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "FormMain";
			this.Text = "Essential Chart - Custom Label Sample";
			this.Load += new System.EventHandler(this.FormMain_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void InitializeControlSettings()
	  {
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

		  // Specify a ChartPalette:
		  Color[] color = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30)};
		  this.chartControl1.Palette = ChartColorPalette.Custom ;
		  this.chartControl1.Model.ColorModel.CustomColors = color;
		  this.chartControl1.Palette = ChartColorPalette.Custom ;

		  this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
		  this.chartControl1.LegendPosition = ChartDock.Top;
		this.chartControl1.HidePartialLabels = true;
	  }

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new FormMain());
		}

		
		private void FormMain_Load(object sender, System.EventArgs e)
		{
			InitializeChartData();
			
			
		}

		/// <summary>
		/// Initializes the ChartControl's data and sets the Chart type
		/// </summary>
		protected void InitializeChartData()
		{
			this.chartControl1.Indexed=true;

			ChartSeries series1 = this.chartControl1.Model.NewSeries("Series1",ChartSeriesType.Column);
			series1.Text = series1.Name;
			series1.Points.Add(1,220);
			series1.Style.DisplayText=true;
			series1.Style.TextOrientation=ChartTextOrientation.Up;
			series1.Style.Font.Orientation=270;
			series1.Style.Font.Size=9;
			series1.Styles[0].Text="baseline";
			
			
			this.chartControl1.Series.Add(series1);

			ChartSeries series2 = this.chartControl1.Model.NewSeries("Series2",ChartSeriesType.Column);
			series2.Text = series2.Name;
			series2.Points.Add(2,100);
			series2.Styles[0].Text="binding";
			series2.PrepareStyle+=new ChartPrepareStyleInfoHandler(series_PrepareStyle);
			this.chartControl1.Series.Add(series2);


			ChartSeries series3 = this.chartControl1.Model.NewSeries("Series3",ChartSeriesType.Column);
			series3.Text = series3.Name;
			series3.Points.Add(3,50);
			series3.PrepareStyle+=new ChartPrepareStyleInfoHandler(series_PrepareStyle);
			this.chartControl1.Series.Add(series3);
			series3.Styles[0].Text="capture_level";			
	
			this.chartControl1.PrimaryXAxis.TickLabelsDrawingMode = ChartAxisTickLabelDrawingMode.UserMode;
			this.chartControl1.PrimaryXAxis.Labels.Clear();

			this.chartControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;
			this.chartControl1.PrimaryYAxis.Range.Min=0;
			this.chartControl1.PrimaryYAxis.Range.Max=300;
			this.chartControl1.PrimaryYAxis.Range.Interval=100;

			
		}


		private void series_PrepareStyle(object sender, ChartPrepareStyleInfoEventArgs args)
		{
			ChartSeries series = sender as ChartSeries;
			if(series != null)
			{
				args.Style.DisplayText = true;
				args.Style.TextOrientation = ChartTextOrientation.Up;
				args.Style.Font.Orientation = 270;
				args.Style.Font.Size=9;
				args.Style.TextColor = Color.Black;
			}
		}
		
	}
}
